﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;
using Telerik.Windows.Documents.UI;

namespace RadGridView_SL5_AR_1
{
    public partial class MainPage : UserControl
    {
        private ExportFormat selectedExportFormat = ExportFormat.Excel;
        public MainPage()
        {
            InitializeComponent();
        }

        private void exportButton_Click(object sender, RoutedEventArgs e)
        {
            if (clubsGrid != null)
            {
                clubsGrid.Export(new ExportSettings()
                {
                    Format = selectedExportFormat
                });
            }
        }

        private void printPreviewButton_Click(object sender, RoutedEventArgs e)
        {
            if (clubsGrid != null)
            {
                clubsGrid.PrintPreview();
            }
        }

        private void printButton_Click(object sender, RoutedEventArgs e)
        {
            if (clubsGrid != null)
            {
                clubsGrid.Print();
            }
        }
    }
}
